PIDOF(8)

NOM
pidof - Afficher le PID d'un programme

SYNOPSIS
pidof [-s] [-x] [-o omitpid] [-o omitpid..] programme [programme..]

DESCRIPTION
pidof cherche les numéros de processus (PID : Process ID) portant l'un des noms de programme indiqués. Il affiche ces numéros sur sa sortie standard. Ce programme est parfois utilisé dans les scripts changeant le niveau d'exécution d'init, en particulier pour les systèmes utilisant la structure rc de System-V. Dans ce cas, ces scripts sont situés dans /etc/rc?.d ou /etc/rc.d/rc?.d, où ? est le niveau d'exécution d'init. Si le système a un programme start-stop-daemon(8), celui-ci devrait être utilisé à la place.

OPTIONS

-s  Un seul coup - pidof ne renverra qu'un seul pid.

-x  Scripts également - pidof renverra également les PID des shells exécutant les scripts indiqués.

-o  Demande à pidof de ne pas tenir compte du pid indiqué. Le pid spécial %PPID peut décrire le processus parent du programme pidof, c'est-à-dire le shell ou le script appelant.

NOTES
pidof est un lien symbolique sur le programme killall5 qui est généralement placé dans /sbin.

BOGUES
Quand pidof est exécuté avec le chemin complet du programme dont il doit chercher le PID, son comportement est fiable. Dans le cas contraire, les PID renvoyés peuvent être ceux de processus portant le même nom mais qui sont en fait des programmes différents.

AUTEUR
Miquel van Smoorenburg <miquels@cistron.nl>

VOIR AUSSI
halt(8), init(8), reboot(8), shutdown(8)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 2000 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 pidof ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.